Page MenuHomePhabricator

Interlanguage links cannot be added to pages in ady.wikipedia.org
Closed, ResolvedPublic

Description

This is a follow-up to T125501.

I cannot find any way to add interlanguage links to pages in the recently created Adyghe Wikipedia.

If I try to go to https://ady.wikipedia.org/wiki/NBA and use the Add links dialog to add a link to enwiki/NBA, typing "en" or "enwiki" in the Language doesn't do anything.

If I try go to to https://www.wikidata.org/wiki/Q155223 and add a link to language ady, it also doesn't do anything.

Event Timeline

Amire80 created this task.Feb 16 2016, 10:10 AM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a project: Wikidata.
Amire80 added subscribers: Amire80, Krenair, daniel, MF-Warburg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2016, 10:10 AM

When trying to do it through the api (the API Sandbox doesn't have adywiki), I get the following error: Unrecognized value for parameter 'linksite': adywiki

I suppose the new wiki is missing from the sites table. We really need to make sure the sites table is consistent with the interwiki table. And ideally consolidate the two, see T113034: RFC: Overhaul Interwiki map, unify with Sites and WikiMap

shouldn't the populateSitesTable script have done this? although I do recall issues with getting that script running without breaking things, so it may have been skipped...

Nikki added a subscriber: Nikki.Feb 16 2016, 4:56 PM

This seems to work now... what has changed? Is there anything to document in the wiki creation procedure doc?

hoo closed this task as Resolved.Feb 17 2016, 7:04 PM
hoo claimed this task.

I updated all sites tables earlier today, so yes, it should work fine now... I ran into some trouble again, but it mostly worked fine.

Never run the populate script w/o looking at the output, though… It broke before.

Thanks, @hoo.

Is this suggestion to be careful documented in https://wikitech.wikimedia.org/wiki/Add_a_wiki ?

hoo added a comment.Mar 3 2016, 1:45 AM

Thanks, @hoo.
Is this suggestion to be careful documented in https://wikitech.wikimedia.org/wiki/Add_a_wiki ?

Done, https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata I hope I put enough warnings about how dangerous the script is in there.